var assert = require('assert');
var bunyan = require('bunyan');
var restify = require('./lib');

var api = restify.createServer({
        log: bunyan.createLogger({
                name: '#347',
                level: process.env.LOG_LEVEL || 'info',
                serializers: restify.bunyan.serializers
        })
});

api.pre(restify.pre.sanitizePath());
api.use(restify.CORS());

api.post('/api/login', function (req, res, next) {
        res.send(201);
        next();
});

api.listen(9080, function () {
        var client = restify.createClient({
                type: 'json',
                url: 'http://127.0.0.1:9080'
        });

        var req = {
                path: '/api/login',
                headers: {
                        'access-control-request-method': 'POST',
                        'access-control-request-headers': 'content-type',
                        origin: 'http://localhost'
                }
        };
        client.opts(req, function (err, _, res) {
                assert.ifError(err);
                console.log(res.statusCode);
                console.log(JSON.stringify(res.headers, null, 2));
                client.close();
                api.close();
        });
});